> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store Conventions

> List conventions associated with the authenticated store profile. Supports filtering by date range and ongoing status.



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/api-keys/conventions/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/api-keys/conventions/:
    get:
      tags:
        - store-profiles
      summary: Get Store Conventions
      description: >-
        List conventions associated with the authenticated store profile.
        Supports filtering by date range and ongoing status.
      operationId: api_keys_conventions_list
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date-time
          description: 'End date for convention range (format: YYYY-MM-DD HH:MM)'
        - in: query
          name: ongoing
          schema:
            type: boolean
          description: If true, returns only currently ongoing conventions
        - in: query
          name: start_date
          schema:
            type: string
            format: date-time
          description: 'Start date for convention range (format: YYYY-MM-DD HH:MM)'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Convention'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    Convention:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 300
        slug:
          type: string
          maxLength: 350
          pattern: ^[-a-zA-Z0-9_]+$
        status:
          $ref: '#/components/schemas/ConventionStatus'
        description:
          type: string
          nullable: true
        url:
          type: string
          format: uri
          nullable: true
          maxLength: 200
        start_datetime:
          type: string
          format: date-time
          nullable: true
        end_datetime:
          type: string
          format: date-time
          nullable: true
        name_of_location:
          type: string
          nullable: true
          maxLength: 500
        address:
          type: string
          nullable: true
          maxLength: 500
      required:
        - id
        - name
    ConventionStatus:
      enum:
        - SCHEDULED
        - CANCELED
        - UNLISTED
        - DETAILS_PENDING
        - USE_EXTERNAL_SCHEDULE
        - ARCHIVED
      type: string
      description: |-
        * `SCHEDULED` - Scheduled
        * `CANCELED` - Canceled
        * `UNLISTED` - Unlisted
        * `DETAILS_PENDING` - Details Pending
        * `USE_EXTERNAL_SCHEDULE` - Use External Schedule
        * `ARCHIVED` - Archived
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````